Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034525
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-11-15 10:562018-01-23 11:30
ReportercaristuView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisioneb72428683f9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034525: Report Cash Flow is not thread safe

DescriptionReportCashFlow class is not thread safe, as it is keeping state with the public static strTreeOrg field.
Steps To ReproduceIn description
TagsmultiThread
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0037565 closedcollazoandy4 Remove outdated Cash Flow report 
blocks design defect 0034664 acknowledgedplatform multi thread unsafeties 

-  Notes
(0101897)
dmiguelez (developer)
2018-01-23 11:30

Fixed in Issue 37565 by this commit:
https://code.openbravo.com/erp/devel/pi/rev/eb72428683f9726186adf8c60d50c8db655b75cd [^]
(0101898)
dmiguelez (developer)
2018-01-23 11:30

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2016-11-15 10:56 caristu New Issue
2016-11-15 10:56 caristu Assigned To => Triage Finance
2016-11-15 10:56 caristu Modules => Core
2016-11-15 10:56 caristu Triggers an Emergency Pack => No
2016-11-15 10:56 caristu Relationship added related to 0034490
2016-11-15 11:16 caristu Summary [clustering] Report Cash Flow is not thread safe => Report Cash Flow is not thread safe
2016-11-16 16:40 alostale Tag Attached: multiThread
2016-11-16 16:41 alostale Relationship deleted related to 0034490
2016-12-01 11:56 alostale Severity minor => major
2016-12-01 11:56 alostale Relationship added blocks 0034664
2017-12-26 11:28 vmromanos Status new => scheduled
2017-12-26 11:28 vmromanos Assigned To Triage Finance => collazoandy4
2017-12-28 17:14 vmromanos Relationship added depends on 0037565
2018-01-23 11:30 dmiguelez Note Added: 0101897
2018-01-23 11:30 dmiguelez Status scheduled => resolved
2018-01-23 11:30 dmiguelez Fixed in Version => 3.0PR18Q2
2018-01-23 11:30 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/eb72428683f9726186adf8c60d50c8db655b75cd [^]
2018-01-23 11:30 dmiguelez Resolution open => fixed
2018-01-23 11:30 dmiguelez Review Assigned To => dmiguelez
2018-01-23 11:30 dmiguelez Note Added: 0101898
2018-01-23 11:30 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker